Level::LevelClass Class Reference
Inheritance diagram for Level::LevelClass:

## Public Member Functions

| LevelClass ()
virtual LogString | getName () const
virtual LevelPtr | toLevel (const LogString &sArg) const
virtual LevelPtr | toLevel (int val) const
Public Member Functions inherited from Class
virtual | ~Class ()
virtual ObjectPtr | newInstance () const
LogString | toString () const

## Additional Inherited Members

Static Public Member Functions inherited from Class
static const Class & | forName (const LogString &className)
static bool | registerClass (const Class &newClass)
Protected Member Functions inherited from Class
| Class ()

## Constructor & Destructor Documentation

## LevelClass()

LevelClass | ( |  | ) |

inline

## Member Function Documentation

## getName()

virtual LogString getName | ( |  | ) | const

inline virtual

Implements Class.

## toLevel() [1/2]

virtual LevelPtr toLevel | ( | const LogString & | sArg | ) | const

inline virtual

## toLevel() [2/2]

virtual LevelPtr toLevel | ( | int | val | ) | const

inline virtual

The documentation for this class was generated from the following file:

- level.h